# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require File.expand_path(File.join(File.dirname(__FILE__),'..','..','..','test_helper'))
require 'mmtrix/agent/instrumentation/active_job'

module Mmtrix::Agent::Instrumentation
  class ActiveJobHelperTest < Minitest::Test
    def test_rails_formatted_adapters_get_shortened
      name = ActiveJobHelper.clean_adapter_name("ActiveJob::QueueAdapters::InlineAdapter")
      assert_equal "ActiveJob::Inline", name
    end

    def test_unexpected_name_format
      name = ActiveJobHelper.clean_adapter_name("Not::AnExpected::Adapter")
      assert_equal "Not::AnExpected::Adapter", name
    end
  end
end
