# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/agent/threading/fake_thread'

module ThreadedTestCase
  def setup_fake_threads
    @original_thread_class = Mmtrix::Agent::Threading::AgentThread.backing_thread_class
    Mmtrix::Agent::Threading::AgentThread.backing_thread_class = FakeThread
    FakeThread.list.clear
  end

  def teardown_fake_threads
    Mmtrix::Agent::Threading::AgentThread.backing_thread_class = @original_thread_class
    FakeThread.list.clear
  end
end
