# encoding: utf-8
# This file is distributed under Mmtrix"s license terms.


# This is a simple test app for testing parameter filtering as provided by
# the Mmtrix::Agent:ParameterFiltering module.

class FilteringTestApp
  def call(env)
    req = Rack::Request.new(env)
    txn = ::Mmtrix::Agent::Transaction.tl_current
    params = req.params
    filtered = ::Mmtrix::Agent::ParameterFiltering.apply_filters(env, params)
    txn.filtered_params = filtered
    txn.merge_request_parameters(filtered)
    raise "Intentional error" if params["raise"]
    [200, {}, ["Filters applied"]]
  end
end
