# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/delayed_job_injection'

if !Mmtrix::Agent::Samplers::DelayedJobSampler.supported_backend?
  class UnsupportedBackendTest < Minitest::Test
    include MultiverseHelpers

    setup_and_teardown_agent do
      Mmtrix::DelayedJobInjection.worker_name = "delayed"
    end

    def test_unsupported_raises_on_instantiation
      assert_raises(Mmtrix::Agent::Sampler::Unsupported) do
        Mmtrix::Agent::Samplers::DelayedJobSampler.new
      end
    end
  end
end
