# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


class QueueTimePerfTests < Performance::TestCase
  def setup
    @headers = [
      { 'HTTP_X_REQUEST_START' => "t=1409849996.2152882" },
      { 'HTTP_X_REQUEST_START' => "t=1409850011020.236"  },
      { 'HTTP_X_REQUEST_START' => "t=1409850011020236.0" },
    ]
  end

  def test_queue_time_parsing
    measure do
      @headers.each do |h|
        Mmtrix::Agent::Instrumentation::QueueTime.parse_frontend_timestamp(h)
      end
    end
  end
end
