# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix/agent/datastores/mongo/metric_translator'

module Mmtrix
  module TestHelpers
    module MongoMetricBuilder
      def build_test_metrics(name)
        Mmtrix::Agent::Datastores::Mongo::MetricTranslator.build_metrics(
          name,
          @collection_name
        )
      end

      def metrics_with_attributes(metrics, attributes = { :call_count => 1 })
        metric_attributes = {}

        metrics.each do |metric|
          metric_attributes[metric] = attributes.dup
        end

        metric_attributes
      end
    end
  end
end
