# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'resolv'
require 'mocha/setup'

class LoadTest < Minitest::Test
  def test_loading_agent_when_disabled_does_not_resolv_addresses
    ::Resolv.expects(:getaddress).never
    ::IPSocket.expects(:getaddress).never

    require File.expand_path(File.join(File.dirname(__FILE__),'..','test_helper'))
  end
end
