# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'fileutils'
module Multiverse
  ROOT = File.expand_path(File.join(File.dirname(__FILE__), '..', '..'))
  $: << File.expand_path(File.join(ROOT, 'lib'))

  # Include from our unit testing path to share fake_collector
  $: << File.expand_path(File.join(ROOT, '..', 'mmtrix'))

  SUITES_DIRECTORY = ENV['SUITES_DIRECTORY'] || File.join(ROOT, '/suites')
  require 'multiverse/color'
  require 'multiverse/output_collector'
  require 'multiverse/runner'
  require 'multiverse/envfile'
  require 'multiverse/suite'
end
