# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


require 'mmtrix_rpm'

class KeepaliveTest < Minitest::Test
  include MultiverseHelpers

  def test_can_reestablish_connection
    setup_agent(:aggressive_keepalive => true)

    Mmtrix::Agent.agent.send(:transmit_data)

    # This is simulating the remote peer closing the TCP connection between
    # harvest cycles.
    $collector.last_socket.close

    Mmtrix::Agent.agent.send(:transmit_data)

    metric_data_calls = $collector.calls_for('metric_data')
    assert_equal(2, metric_data_calls.size)
  end
end
