#!/usr/bin/ruby
# encoding: utf-8
# This file is distributed under Mmtrix's license terms.


ENV["MM_TRIX_LOG_FILE_PATH"] = "STDOUT"

require 'mmtrix_rpm'

# Force all named items to re-enable
enable_everyone = {}
DependencyDetection.items.each do |item|
  if item.name
    enable_everyone["disable_#{item.name}".to_sym] = false
  end
end
Mmtrix::Agent.config.add_config_for_testing(enable_everyone)

# Run dependency detection again!
DependencyDetection.detect!
